/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package org.apache.streampipes.config.backend;

public class BackendConfigKeys {
  public static final String BACKEND_HOST = "SP_BACKEND_HOST";
  public static final String BACKEND_PORT = "SP_BACKEND_PORT";
  public static final String JMS_HOST = "SP_JMS_HOST";
  public static final String JMS_PORT = "SP_JMS_PORT";
  public static final String NATS_HOST = "SP_NATS_HOST";
  public static final String NATS_PORT = "SP_NATS_PORT";
  public static final String MQTT_HOST = "SP_MQTT_HOST";
  public static final String MQTT_PORT = "SP_MQTT_PORT";
  public static final String KAFKA_HOST = "SP_KAFKA_HOST";
  public static final String KAFKA_PORT = "SP_KAFKA_PORT";
  public static final String PULSAR_URL = "SP_PULSAR_URL";
  public static final String ZOOKEEPER_HOST = "SP_ZOOKEEPER_HOST";
  public static final String ZOOKEEPER_PORT = "SP_ZOOKEEPER_PORT";
  public static final String IS_CONFIGURED = "SP_IS_CONFIGURED";
  public static final String IS_SETUP_RUNNING = "SP_IS_SETUP_RUNNING";
  public static final String ASSETS_DIR = "SP_ASSETS_DIR";
  public static final String FILES_DIR = "SP_FILES_DIR";
  public static final String MESSAGING_SETTINGS = "SP_MESSAGING_SETTINGS";

  public static final String LOCAL_AUTH_CONFIG = "SP_LOCAL_AUTH_CONFIG";
  public static final String EMAIL_CONFIG = "SP_EMAIL_CONFIG";
  public static final String GENERAL_CONFIG = "SP_GENERAL_CONFIG";
}
