/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package org.apache.streampipes.extensions.connectors.plc.adapter.modbus;

public class ModbusConfigFile {

  private String name;

  private String dataType;

  private String logicalAddress;

  public ModbusConfigFile() {
  }

  public ModbusConfigFile(String name, String dataType, String logicalAddress) {
    this.name = name;
    this.setDataType(dataType);
    this.setLogicalAddress(logicalAddress);
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getDataType() {
    return dataType;
  }

  public void setDataType(String dataType) {
    this.dataType = dataType;
  }

  public String getLogicalAddress() {
    return logicalAddress;
  }

  public void setLogicalAddress(String logicalAddress) {
    this.logicalAddress = logicalAddress;
  }
}
