/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package org.apache.streampipes.model.base;

public abstract class VersionedNamedStreamPipesEntity extends NamedStreamPipesEntity {

  private int version;

  public VersionedNamedStreamPipesEntity() {
    super();
    this.version = 0;
  }

  public VersionedNamedStreamPipesEntity(VersionedNamedStreamPipesEntity other) {
    super(other);
    this.version = other.version;
  }

  public VersionedNamedStreamPipesEntity(String elementId, String name, String description){
    super(elementId, name, description);
  }

  public VersionedNamedStreamPipesEntity(String elementId, String name, String description, String iconUrl) {
    super(elementId, name, description, iconUrl);
  }

  public int getVersion(){
    return version;
  }

  public void setVersion(int version) {
    this.version = version;
  }
}
