/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package org.apache.streampipes.manager.matching.v2;

import org.apache.streampipes.model.grounding.JmsTransportProtocol;
import org.apache.streampipes.model.grounding.KafkaTransportProtocol;
import org.apache.streampipes.model.grounding.TransportFormat;
import org.apache.streampipes.model.grounding.TransportProtocol;
import org.apache.streampipes.vocabulary.MessageFormat;

public class TestUtils {

  public static TransportProtocol kafkaProtocol() {
    return new KafkaTransportProtocol("localhost", 9092, "abc", "localhost", 2181);
  }

  public static TransportProtocol jmsProtocol() {
    return new JmsTransportProtocol("localhost", 61616, "abc");
  }

  public static TransportFormat jsonFormat() {
    return new TransportFormat(MessageFormat.JSON);
  }

  public static TransportFormat thriftFormat() {
    return new TransportFormat(MessageFormat.THRIFT);
  }

}
